|  | Home · All Classes · All Functions · Overviews

# Q3SqlSelectCursor Class Reference
[Qt3Support module]

The Q3SqlSelectCursor class provides browsing of general SQL SELECT statements. More...

     #include <Q3SqlSelectCursor>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

This class is not part of the Qt GUI Framework Edition.

Inherits Q3SqlCursor.

- List of all members, including inherited members

## Public Functions

| Q3SqlSelectCursor ( const QString & query = QString(), QSqlDatabase db = QSqlDatabase() )
| Q3SqlSelectCursor ( const Q3SqlSelectCursor & other )
| ~Q3SqlSelectCursor ()

- 43 public functions inherited from Q3SqlCursor
- 28 public functions inherited from QSqlRecord
- 38 public functions inherited from QSqlQuery

## Reimplemented Protected Functions

virtual int | update ( const QString & filter, bool invalidate = true )

- 7 protected functions inherited from Q3SqlCursor

## Detailed Description

The Q3SqlSelectCursor class provides browsing of general SQL SELECT statements.

Q3SqlSelectCursor is a convenience class that makes it possible to display result sets from general SQL `SELECT` statements in data-aware Qt widgets. Q3SqlSelectCursor is read-only and does not support `INSERT`, `UPDATE` or `DELETE` operations.

Pass the query in at construction time, or use the Q3SqlSelectCursor::exec() function.

Example:

     ...
     Q3SqlSelectCursor* cur = new Q3SqlSelectCursor("SELECT id, firstname, lastname FROM author");
     Q3DataTable* table = new Q3DataTable(this);
     table->setSqlCursor(cur, true, true);
     table->refresh();
     ...
     cur->exec("SELECT * FROM books");
     table->refresh();
     ...

## Member Function Documentation

### Q3SqlSelectCursor::Q3SqlSelectCursor ( const QString & query = QString(), QSqlDatabase db = QSqlDatabase() )

Constructs a read only cursor on database db using the query query.

### Q3SqlSelectCursor::Q3SqlSelectCursor ( const Q3SqlSelectCursor & other )

Constructs a copy of other

### Q3SqlSelectCursor::~Q3SqlSelectCursor ()

Destroys the object and frees any allocated resources

### int Q3SqlSelectCursor::update ( const QString & filter, bool invalidate = true ) `[virtual protected]`

Reimplemented from Q3SqlCursor::update().

This is an overloaded function.

Updates the database with the current contents of the cursor edit buffer using the specified filter. Returns the number of records which were updated. For error information, use lastError().

Only records which meet the filter criteria are updated, otherwise all records in the table are updated.

If invalidate is true (the default), the cursor can no longer be navigated. A new select() call must be made before you can move to a valid record.

See also Q3SqlCursor::update(), primeUpdate(), setMode(), and lastError().